// Author: Hugo Pointcheval
// Email: git@pcl.ovh
// -----
// File: welcome_page.dart
// Created Date: 19/08/2022 12:33:21
// Last Modified: Wed Nov 09 2022
// -----
// Copyright (c) 2022

import 'package:example_router/presentation/features/sign_in/sign_in_page.dart';
import 'package:example_router/presentation/features/sign_up/sign_up_page.dart';
import 'package:flutter/material.dart';
import 'package:go_router/go_router.dart';

class WelcomePage extends StatelessWidget {
  const WelcomePage({Key? key}) : super(key: key);

  static String pageName = 'Welcome';

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Welcome'),
      ),
      body: SingleChildScrollView(
        child: Column(
          children: [
            ElevatedButton(
                onPressed: () => context.pushNamed(SignUpPage.pageName),
                child: const Text('Sign Up')),
            ElevatedButton(
                onPressed: () => context.pushNamed(SignInPage.pageName),
                style: ButtonStyle(
                    backgroundColor:
                        MaterialStateProperty.all<Color>(Colors.white),
                    foregroundColor:
                        MaterialStateProperty.all<Color>(Colors.blue)),
                child: const Text('Sign In'))
          ],
        ),
      ),
    );
  }
}
